#!/bin/sh

COUNT=2160
START=$(date +%s)

while [ 1 ];
do
	# process downloads
	python $BASE_FOLDER/rsprocessor.py
	sleep 10

    # do every 6 hours
	END=$(date +%s)
	DIFF=$(( $END - $START ))
    if [ $DIFF -ge 7200 ]
    then
        # parse sites content
        START=$(date +%s)
        echo "Downloading from subscribed sites"
        python $BASE_FOLDER/rsautorobot.py
        
        # delete everything older than X days
        echo "Removing everything old.."
        python $BASE_FOLDER/rsoldremver.py
    fi

done
